BizKitHub
DocsAPI ReferenceContact/bff/contact/add-workspace
postContactAdmin BFF

/bff/contact/add-workspace

Creates a new workspace for a contact with the given name and color.

ContactpostBffContactAdd-workspace

Parameters

JSON body

Request body

application/json
idstringRequired

Contact external ID.

namestringRequired

Workspace display name.

colorstringRequired

Workspace color (hex code).

Example#ff0000

Response schema

1 status code documented

200Success
successbooleanRequired
Default: true

Response example

application/json
{
  "success": true
}

Request example

POST /bff/contact/add-workspace

post
curl -X POST "https://api.bizkithub.com/bff/contact/add-workspace" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "id": "example_id",
  "name": "example_name",
  "color": "#ff0000"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key